* [gentoo-dev] [PATCH] vala.eclass: Check for vala compiler in the right location
@ 2017-09-30 9:24 Matija Skala
0 siblings, 0 replies; only message in thread
From: Matija Skala @ 2017-09-30 9:24 UTC (permalink / raw
To: gentoo-dev
it should be installed into /, not into ${ROOT}
---
eclass/vala.eclass | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/eclass/vala.eclass b/eclass/vala.eclass
index f8a45cdebed6..4227a64c394b 100644
--- a/eclass/vala.eclass
+++ b/eclass/vala.eclass
@@ -81,7 +81,7 @@ vala_best_api_version() {
local u v
[[ ${VALA_USE_DEPEND} ]] && u="[${VALA_USE_DEPEND}(+)]"
for v in $(vala_api_versions); do
- has_version "dev-lang/vala:${v}${u}" && echo "${v}" && return
+ ROOT=/ has_version "dev-lang/vala:${v}${u}" && echo "${v}" && return
done
}
@@ -115,7 +115,7 @@ vala_src_prepare() {
fi
if [[ ${version} ]]; then
- has_version "dev-lang/vala:${version}" || die "No installed vala:$
{version}"
+ ROOT=/ has_version "dev-lang/vala:${version}" || die "No installed vala:
${version}"
else
version=$(vala_best_api_version)
[[ ${version} ]] || die "No installed vala in $(vala_depend)"
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2017-09-30 9:24 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-09-30 9:24 [gentoo-dev] [PATCH] vala.eclass: Check for vala compiler in the right location Matija Skala
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox